-------------------
---- AUTOSTART ----
-------------------
-- Version 1
-- Last change: Sun 2026-06-14 using Hyprland v0.55.3-1
-- Git repo: https://git.fennek.xyz/fennek182/dotfiles

-- See https://wiki.hypr.land/Configuring/Basics/Autostart/

hl.on("hyprland.start", function()
    hl.exec_cmd("hyprpm reload")
    hl.exec_cmd("sleep 1 && waybar")
    hl.exec_cmd("dinit >> ~/.local/share/dinit/dinit.log &")
    hl.exec_cmd("hyprland-autoname-workspaces --dedup &")
    hl.exec_cmd("~/.config/hypr/xdg-portal-hyprland")
    hl.exec_cmd("/bin/kdeconnectd")
    hl.exec_cmd("/bin/kdeconnect-indicator")
    hl.exec_cmd("sleep 2 && /usr/bin/coolercontrol")
    hl.exec_cmd("dbus-update-activation-environment --systemd WAYLAND_DISPLAY XDG_CURRENT_DESKTOP &")
    hl.exec_cmd("/usr/lib/polkit-gnome/polkit-gnome-authentication-agent-1 &")
    hl.exec_cmd("sh ~/.local/bin/setbg --restore")
    hl.exec_cmd("test $(hostname)=nightfury && sleep 0.3 && openrgb -p jo.orp")
    hl.exec_cmd("dotoold &")
    hl.exec_cmd("sleep 2 && /usr/bin/python3 ~/.local/bin/fennix/sound_usb_connect.py")
    hl.exec_cmd("sleep 3 && sh ~/.local/bin/mount_milo")
    hl.exec_cmd("/opt/svp/SVPManager")
    hl.exec_cmd("~/.local/bin/signal")
    hl.exec_cmd("sleep 5 && ~/.local/bin/jellyfin-mpv-shim")
end)
